#include "osgvisualgui.h"
#include "debug.h"
#include <QtGui/QApplication>

int main(int argc, char *argv[])
{
	QApplication a(argc, argv);
	a.connect( &a, SIGNAL( lastWindowClosed() ), &a, SLOT( quit() ) );

	QCoreApplication::setOrganizationName("osgVisual");
	QCoreApplication::setOrganizationDomain("osgvisual.org");
	QCoreApplication::setApplicationName("osgVisualGUI");

	// DEBUG-Handler installieren
	QTextEdit *debug = new QTextEdit;
	debug->hide();
	setDebugPointer( debug );
	qInstallMsgHandler( myMessageOutput );
	qDebug("MessageHandler installiert");

	osgVisualGUI w;
	w.setDebug(debug);
	w.show();
	return a.exec();
}
